package com.liquidnet.service.goblin.controller;

import com.github.pagehelper.PageInfo;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinMixAppListVo;
import com.liquidnet.service.goblin.dto.vo.GoblinMixDetailsVo;
import com.liquidnet.service.goblin.dto.vo.GoblinMixManageListVo;
import com.liquidnet.service.goblin.param.GoblinMixDetailsParam;
import com.liquidnet.service.goblin.param.GoblinMixUpdateParam;
import com.liquidnet.service.goblin.service.manage.IGoblinMixAppService;
import com.liquidnet.service.goblin.service.manage.IGoblinMixService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 正在下单活动管理
 */
@ApiSupport(order = 149201)
@Slf4j
@RestController
@Api(tags = "活动-混合售")
@RequestMapping("app/mix")
public class GoblinMixAppController {

    @Autowired
    IGoblinMixAppService goblinMixAppService;

    @ApiOperationSupport(order = 1)
    @ApiOperation(value = "列表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(type = "form", required = false, dataType = "String", name = "name", value = "活动名称"),
//            @ApiImplicitParam(type = "form", required = true, dataType = "Integer", name = "page", value = "页数"),
//
//    })
    @GetMapping("list")
    public ResponseDto<List<GoblinMixAppListVo>> list(
//            @RequestParam(value = "name", required = false) String name,
//            @RequestParam Integer page
    ) {
        return goblinMixAppService.mixList();
    }
}
